# getPersonalityPdfExportStatus

Source: /openapi/thomas-federated.openapi.json

## Operation

| Method | URL |
|---|---|
| GET | https://api.thomas.co/v1/personality/pdf/{jobId} |

| Field | Value |
|---|---|
| operationId | getPersonalityPdfExportStatus |
| method | GET |
| server | https://api.thomas.co/v1 |
| path | /personality/pdf/{jobId} |
| tags | `Personality` |
| summary | Poll a Personality PDF job or download the PDF |
| badges | None |

## Request Parameters

| Name | In | Required | Schema | Description |
|---|---|---|---|---|
| jobId | path | true | string |  |

## Request Body

None.

## Responses

| Status | Description | Schema refs |
|---|---|---|
| 200 | PDF binary when the job is complete |  |
| 202 | Job still processing | #/components/schemas/PdfStatusResponseDto |
| 401 | Invalid or missing authentication token (AUTH_TOKEN_INVALID) | #/components/schemas/ApiErrorResponseDto |
| 404 | Job not found / expired / flag off ({ status: "failed" }) | #/components/schemas/PdfStatusResponseDto |

## Artifact Examples

### Response 401 example

```json
{
  "statusCode": 401,
  "message": "Invalid or missing authentication token",
  "error": "AUTH_TOKEN_INVALID"
}
```
